/employers/{employerId}/departments

Use this endpoint to create a new Department in the current context.

Accepts a standard Department object with no read-only values specified. The name of the department must be unique to the Employer, and if supplied, the parentDepartmentId must already exist for the specified Employer.

In the example below, we’re creating a Department called Human Resources which is a child of parentDepartmentId 135.

If successful, the endpoint responds with HTTP Status Code 201 Created and a Department object with departmentId populated with the integer ID of the created Department in the response body. It also sets the Location header to the location of the Department.

If the specified Employer does not exist, this endpoint will return an error with HTTP Status Code 404 Not Found.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required
Defaults to 671

Required; unique identifier for the Employer

Body Params
string
Defaults to Human Resources
string
Defaults to 135
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json